Category: Settings
Target version:
Description

In dc0983d58937a064d74d96f311ca10a88569480b (#29642) the example database configuration file always sets a host. Using a
host means PostgreSQL can't use ident auth which means you must set a password. By commenting it out, you can simplify the

instructions to (on EL but similar on Debian):

sudo yum -y install postgresgl-server

sudo postgresgl-setup —--initdb

sudo systemctl enable —--now postgresqgl

sudo —-u postgres createuser S$SUSERNAME

sudo —u postgres createdb —--owner=$USERNAME foreman

Otherwise you need to provide a username/password as well and possibly set that up.

Related issues:
Related to Foreman - Bug #29642: drop sqlite support

Closed

Associated revisions

Revision 2d6f26c2 - 04/04/2021 02:04 PM - Ewoud Kohl van Wijngaarden
Fixes #32245 - No host by default in database.yml.example

In dc0983d58937a064d74d96f311ca10a88569480b the example database
configuration file always sets a host. Using a host means PostgreSQL

can't use ident auth which means you must set a password. By commenting
it out, you can simplify the instructions to (on EL but similar on

Debian):

sudo yum -y install postgresqgl-server
sudo postgresgl-setup —--initdb
sudo systemctl enable —--now postgresgl
sudo —u postgres createuser SUSERNAME
sudo -u postgres createdb —--owner=SUSERNAME foreman

Otherwise you need to provide a username/password as well and possibly set that up.

History

#1 - 04/01/2021 03:35 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/8427 added

#2 - 04/01/2021 03:36 PM - Ewoud Kohl van Wijngaarden
- Related to Bug #29642: drop sqlite support added

#3 - 04/04/2021 02:04 PM - The Foreman Bot
https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/dc0983d58937a064d74d96f311ca10a88569480b
https://projects.theforeman.org/issues/29642

- Fixed in Releases 2.5.0 added

#4 - 04/04/2021 03:01 PM - Ewoud Kohl van Wijngaarden
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|2d6f26c2c180e0af9180170f5dcc3ef335c99481.
